Package Details: amidst 4.6-1

Git Clone URL: https://aur.archlinux.org/amidst.git (read-only, click to copy)
Package Base: amidst
Description: Advanced Minecraft Interface and Data/Structure Tracking
Upstream URL: https://github.com/toolbox4minecraft/amidst
Licenses: GPL3
Submitter: Freso
Maintainer: Freso (cubethethird)
Last Packager: cubethethird
Votes: 14
Popularity: 0.087146
First Submitted: 2013-08-09 08:50
Last Updated: 2020-08-22 04:08

Required by (0)

Sources (2)

Pinned Comments

Freso commented on 2019-04-11 20:27

There’s now an amidst-beta package available at https://aur.archlinux.org/packages/amidst-beta/ if you want the latest beta version of AMIDST. This package, amidst, is only for the stable/final releases.

Latest Comments

1 2 Next › Last »

lberrymage commented on 2020-03-16 04:25

@Freso

  • It wouldn't (my bad, I didn't pay attention to the package requirements), although the relevant java bug states the deprecation will "prevent users from running code that violates the JVM Specification, which can leave their applications open to malicious code." I may be wrong, but this seems to apply to java 8 as well.
  • The Arch PKGBUILD page describes optdepends as "An array of packages that are not needed for the software to function, but provide additional features."
  • My mistake; I meant to quote @jochembroekhoff but read the comments wrong.
  • Again, my mistake. I thought the wiki mentioned something, but after some digging, I can't find a dev preference either way.
  • You're right. My initial impression was that the directory wasn't created if only one file existed within it since this seems to be the case with upstream packages like libbluray and libjpeg-turbo. I will point out that Linux convention is to keep filenames lowercase (and there's no reason to change it to uppercase), but like you said, we don't need unnecessary modifications.

Freso commented on 2020-03-15 18:45

@lberrymage

  • Why does JDK 13 matter for a JRE=8 package?
  • They’re optdepends, as in optional. They don’t have to provide functionality to the program, and you are free to not install them. I might remove the outdated of the two in the next package update, but I don’t see a reason to remove both at this point.
  • Where did I say that? But I agree, dependencies could use some cleaning up. No rush though, as no harm is done by having it in there.
  • I’ve seen both echo and precreated ….sh files being used also in Arch packages and am not aware of any preference among Arch devs either way. If there’s a guideline/update I have missed in this respect, I am happy to change this.
  • Changing the filename would IMHO be against the Simplicity principle: "Arch Linux defines simplicity as without unnecessary additions or modifications." Additionally, the Java packaging guidelines say to "Place all jar files (and no other files) distributed with the program in a /usr/share/java/myprogram directory."

lberrymage commented on 2020-03-14 22:23

I have a few suggestions

  • Don't pass the -noverify flag to java; it was deprecated in JDK 13.
  • Take the minecraft and minecraft-launcher packages out of optdepends; amidst doesn't inherit any additional functionality from these.
  • As @Freso said, remove the sh dependency, as this is included in the base installation.
  • Rather than use echo to make a script from the PKGBUILD, just create the script file directly in the git tree.
  • Set the amidst.jar file as /usr/share/java/amidst.jar rather than /usr/share/java/amidst/AMIDST.jar. I think this would follow convention in that directory more closely (this is more of my pickiness though, admittedly).

I don't think any of these are strictly necessary, but they would clean things up a bit in my opinion.

jochembroekhoff commented on 2019-12-20 20:48

Could you please make the main executable pass its arguments to the AMIDST invocation? This is solved by adding "$@" (including quotation marks) to the end of the second line of the amidst.sh file.

Also, adding sh to the dependencies is not necessary, since sh is part of the base installation.

Freso commented on 2019-04-11 20:27

There’s now an amidst-beta package available at https://aur.archlinux.org/packages/amidst-beta/ if you want the latest beta version of AMIDST. This package, amidst, is only for the stable/final releases.

stick commented on 2019-03-31 13:37

@mqs I came here to say the same thing. Updated PKGBUILD here:

https://pastebin.com/raw/67yUhPSB

I've also created a new AUR package that tracks the git repo directly:

https://aur.archlinux.org/packages/amidst-git/

mqs commented on 2019-01-09 16:24

@Freso Could you please push the version to the current beta? the last release is just too old for current seeds and as per my experience just now the beta works just fine

I updated the PKGBUILD myself: https://gist.github.com/mqus/059020041fea08147a2ae80ca130bf47

So if anyone wants to build the beta, you have to git clone the aur package, replace the PKGBUILD with the one from the gist and run makepkg -sri

Pietro_Pizzi commented on 2018-02-11 23:07

Hi,

Can we have the 4.3 Beta (eventually in another package) for MC 1.12?

The 4.2 don't start for me. I manually replaced the jar and now it works again, but i think to mess manually with tracked files isn't the best practice ;).

THX

cubethethird commented on 2016-06-23 20:24

The package has been updated for the 4.1 release. See the ChangeLog for details about this release.
I've also included a higher resolution icon, and moved the launching script into the PKGBUILD for easier editing.

cubethethird commented on 2016-03-31 06:17

The repository has been moved to https://github.com/toolbox4minecraft/amidst
Also, the package now requires java 8.